Uses of Interface
org.apache.camel.builder.endpoint.dsl.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder
Packages that use BlobEndpointBuilderFactory.BlobEndpointProducerBuilder
-
Uses of BlobEndpointBuilderFactory.BlobEndpointProducerBuilder in org.apache.camel.builder.endpoint.dsl
Subinterfaces of BlobEndpointBuilderFactory.BlobEndpointProducerBuilder in org.apache.camel.builder.endpoint.dslModifier and TypeInterfaceDescriptionstatic interfaceBuilder for endpoint for the Azure Storage Blob Service component.Methods in org.apache.camel.builder.endpoint.dsl that return BlobEndpointBuilderFactory.BlobEndpointProducerBuilderModifier and TypeMethodDescriptionAccess key for the associated azure account name to be used for authentication with azure blob services.BlobEndpointBuilderFactory.AdvancedBlobEndpointProducerBuilder.basic()The blob name, to consume specific blob from a container.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blobOffset(long blobOffset) Set the blob offset for the upload or download operations, default is 0.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blobOffset(String blobOffset) Set the blob offset for the upload or download operations, default is 0.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blobSequenceNumber(Long blobSequenceNumber) A user-controlled value that you can use to track requests.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blobSequenceNumber(String blobSequenceNumber) A user-controlled value that you can use to track requests.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blobServiceClient(String blobServiceClient) Client to a storage account.The blob type in order to initiate the appropriate settings for each blob type.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blockListType(com.azure.storage.blob.models.BlockListType blockListType) Specifies which type of blocks to return.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.blockListType(String blockListType) Specifies which type of blocks to return.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.changeFeedContext(com.azure.core.util.Context changeFeedContext) When using getChangeFeed producer operation, this gives additional context that is passed through the Http pipeline during the service call.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.changeFeedContext(String changeFeedContext) When using getChangeFeed producer operation, this gives additional context that is passed through the Http pipeline during the service call.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.changeFeedEndTime(String changeFeedEndTime) When using getChangeFeed producer operation, this filters the results to return events approximately before the end time.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.changeFeedEndTime(OffsetDateTime changeFeedEndTime) When using getChangeFeed producer operation, this filters the results to return events approximately before the end time.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.changeFeedStartTime(String changeFeedStartTime) When using getChangeFeed producer operation, this filters the results to return events approximately after the start time.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.changeFeedStartTime(OffsetDateTime changeFeedStartTime) When using getChangeFeed producer operation, this filters the results to return events approximately after the start time.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.closeStreamAfterWrite(boolean closeStreamAfterWrite) Close the stream after write or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.closeStreamAfterWrite(String closeStreamAfterWrite) Close the stream after write or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.commitBlockListLater(boolean commitBlockListLater) When is set to true, the staged blocks will not be committed directly.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.commitBlockListLater(String commitBlockListLater) When is set to true, the staged blocks will not be committed directly.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.createAppendBlob(boolean createAppendBlob) When is set to true, the append blocks will be created when committing append blocks.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.createAppendBlob(String createAppendBlob) When is set to true, the append blocks will be created when committing append blocks.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.createPageBlob(boolean createPageBlob) When is set to true, the page blob will be created when uploading page blob.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.createPageBlob(String createPageBlob) When is set to true, the page blob will be created when uploading page blob.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.credentials(com.azure.storage.common.StorageSharedKeyCredential credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.credentials(String credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.credentialType(String credentialType) Determines the credential strategy to adopt.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt.How many bytes to include in the range.How many bytes to include in the range.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.downloadLinkExpiration(Long downloadLinkExpiration) Override the default expiration (millis) of URL download link.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.downloadLinkExpiration(String downloadLinkExpiration) Override the default expiration (millis) of URL download link.The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.The blob operation that can be used with this component on the producer.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.operation(org.apache.camel.component.azure.storage.blob.BlobOperationsDefinition operation) The blob operation that can be used with this component on the producer.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.pageBlobSize(Long pageBlobSize) Specifies the maximum size for the page blob, up to 8 TB.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.pageBlobSize(String pageBlobSize) Specifies the maximum size for the page blob, up to 8 TB.Filters the results to return only blobs whose names begin with the specified prefix.Filters the results to return only blobs whose names match the specified regular expression.In case of usage of Shared Access Signature we'll need to set a SAS Token.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.serviceClient(String serviceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointProducerBuilder.sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key.An optional timeout value beyond which a RuntimeException will be raised.An optional timeout value beyond which a RuntimeException will be raised.